import java.io.*;

public class FichierTexteV0{

private static final String ERREUR_LECTURE = "erreur de lecture dans le fichier ";
private static final String ERREUR_ECRITURE = "erreur d'ecriture dans le fichier ";


    // lecture d'une chaine au clavier 
    public static String lireClavier(){
	int c;
	StringBuffer s = new StringBuffer();
	try{
	    while((c = System.in.read()) != '\n')
		s.append((char)c);
	}catch(IOException e){
	    // pas de traitement car aucune erreur d'entee-sortie
	    // dans le cas particulier du clavier
	}
	return s.toString();
    }

    //lecture caractere par caractere dans un fichier 
    //aucun traitement n'est effectue
    public static String lire(String nomFichier){
	StringBuffer s = new StringBuffer();
	int c;
	try{
	    FileInputStream in = new FileInputStream(nomFichier);
	    while((c = in.read()) != -1)
		s.append((char)c);
	    in.close();
	}catch(IOException e){
	    throw new RuntimeException(ERREUR_LECTURE + nomFichier);
	}
	return s.toString();
    }

    // ecriture d'une chaine dans un fichier
    // aucun traitementn'est effectue
    public static void ecrire(String nomFichier, String chaine) {
	try{
	    FileOutputStream out = new FileOutputStream(nomFichier);
	    for(int i=0; i<chaine.length(); i++)
		out.write(chaine.charAt(i));
	    out.close();
	}catch(IOException e){
	    throw new RuntimeException(ERREUR_ECRITURE + nomFichier);
	}
    }

    public static void main(String arg[]){
	System.out.print("Saisir votre chaine : ");
	String s = lireClavier();
	ecrire("toto.txt", s);
	s = lire("toto.txt");
	System.out.println(s);
    }
}
