import java.io.*;
import java.util.*;

public class ImageNG {
    private int[][] image;
    private int largeur, hauteur;
    private int nGMAx; 

    private int lireEntier(StringTokenizer st) {
	return Integer.parseInt(st.nextToken());
    }

    public ImageNG(String nomFichier) throws java.io.IOException {

	BufferedReader in = new BufferedReader(new FileReader(nomFichier));
	String ligne;

	// lecture du magic number
	ligne = in.readLine();
	if(!ligne.equals("P2")) 
	    throw new RuntimeException("le format du fichier n'est pas\"pgm ascii\"");
	


	// lecture des commentaires
	do {
	    ligne = in.readLine();
	} while(ligne.charAt(0) == '#');

	// lecture de largeur et hauteur
	StringTokenizer tokenizer = new StringTokenizer(ligne);
	largeur = lireEntier(tokenizer);
	hauteur = lireEntier(tokenizer);
	image = new int [largeur][hauteur];

	// lecture du ng maximum
	ligne = in.readLine();
	tokenizer = new StringTokenizer(ligne);
	ngMax = lireEntier(tokenizer);

	// lecture des valeurs 
	int x = 0, y = 0;
	while((ligne = in.readLine()) != null) {
	    	tokenizer = new StringTokenizer(ligne);
		while(tokenizer.hasMoreTokens()) {
		    image[x][y] = lireEntier(tokenizer);
		    x ++;
		    if(x == largeur) {
			x = 0;
			y++;
		    }
		}
	}	
    }

    public void enregistrePgmAscii(String nomFichier) 
	throws java.io.IOException {
	
	// à compléter
    }
} 